test: _DEVICE_EXTENSION struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _DEVICE_EXTENSION Struct Reference

`#include <fs_rec.h>`

List of all members.

## Public Attributes

PDEVICE_OBJECT | CoRecognizer
FILE_SYSTEM_TYPE | FileSystemType
RECOGNIZER_STATE | State
PDEVICE_OBJECT | DeviceObject
PDEVICE_OBJECT | PortDeviceObject
LARGE_INTEGER | PartitionLength
LARGE_INTEGER | StartingOffset
ULONG | DMByteSkew
ULONG | DMSkew
BOOLEAN | DMActive
PCLASS_ERROR | ClassError
PIO_SCSI_CAPABILITIES | PortCapabilities
PDISK_GEOMETRY | DiskGeometry
PDEVICE_OBJECT | PhysicalDevice
PSENSE_DATA | SenseData
ULONG | TimeOutValue
ULONG | DeviceNumber
ULONG | SrbFlags
ULONG | ErrorCount
KSPIN_LOCK | SplitRequestSpinLock
PZONE_HEADER | SrbZone
PKSPIN_LOCK | SrbZoneSpinLock
LONG | LockCount
UCHAR | PortNumber
UCHAR | PathId
UCHAR | TargetId
UCHAR | Lun
UCHAR | SectorShift
BOOLEAN | WriteCache
BOOLEAN | UseScsi1
PCLASS_READ_WRITE | ClassReadWriteVerification
PCLASS_FIND_DEVICES | ClassFindDevices
PCLASS_DEVICE_CONTROL | ClassDeviceControl
PCLASS_SHUTDOWN_FLUSH | ClassShutdownFlush
PCLASS_CREATE_CLOSE | ClassCreateClose
PDRIVER_STARTIO | ClassStartIo
NPAGED_LOOKASIDE_LIST | SrbLookasideListHead
UCHAR | ReservedByte
USHORT | DeviceFlags
PKEVENT | MediaChangeEvent
HANDLE | MediaChangeEventHandle
BOOLEAN | MediaChangeNoMedia
ULONG | MediaChangeCount
PDRIVER_OBJECT | DriverObject
INTERFACE_TYPE | InterfaceType
ULONG | BusNumber
PFIRMWARE_CONFIGURATION | FirmwareList
ULONG | HardwarePresent
PVOID | DeviceRegisters [MaximumPortCount]
FSVGA_CONFIGURATION_INFORMATION | Configuration
FSVIDEO_MODE_INFORMATION | CurrentMode
FSVIDEO_SCREEN_INFORMATION | ScreenAndFont
EMULATE_BUFFER_INFORMATION | EmulateInfo
BOOLEAN | UnmapRegistersRequired

## Member Data Documentation

ULONG _DEVICE_EXTENSION::BusNumber

| Definition at line 72 of file mapper.c.

PCLASS_CREATE_CLOSE _DEVICE_EXTENSION::ClassCreateClose

| Definition at line 205 of file class2.h.

PCLASS_DEVICE_CONTROL _DEVICE_EXTENSION::ClassDeviceControl

| Definition at line 203 of file class2.h.

PCLASS_ERROR _DEVICE_EXTENSION::ClassError

| Definition at line 200 of file class2.h.

PCLASS_FIND_DEVICES _DEVICE_EXTENSION::ClassFindDevices

| Definition at line 202 of file class2.h.

PCLASS_READ_WRITE _DEVICE_EXTENSION::ClassReadWriteVerification

| Definition at line 201 of file class2.h.

PCLASS_SHUTDOWN_FLUSH _DEVICE_EXTENSION::ClassShutdownFlush

| Definition at line 204 of file class2.h.

PDRIVER_STARTIO _DEVICE_EXTENSION::ClassStartIo

| Definition at line 206 of file class2.h.

FSVGA_CONFIGURATION_INFORMATION _DEVICE_EXTENSION::Configuration

| Definition at line 138 of file fsvga.h. Referenced by DriverEntry(), FsgVgaInitializeHWFlags(), FsgWriteToScreen(), and FsVgaPeripheralCallout().

PDEVICE_OBJECT _DEVICE_EXTENSION::CoRecognizer

| Definition at line 74 of file fs_rec.h. Referenced by FsRecCreateAndRegisterDO(), and FsRecLoadFileSystem().

FSVIDEO_MODE_INFORMATION _DEVICE_EXTENSION::CurrentMode

| Definition at line 143 of file fsvga.h. Referenced by FsgCopyFrameBuffer(), FsVgaCopyFrameBuffer(), FsVgaReverseMousePointer(), FsVgaSetCursorAttribute(), FsVgaSetCursorPosition(), FsVgaSetMode(), FsVgaWriteToFrameBuffer(), IsGRAMRowOver(), and NextGRAMRow().

USHORT _DEVICE_EXTENSION::DeviceFlags

| Definition at line 310 of file class2.h.

ULONG _DEVICE_EXTENSION::DeviceNumber

| Definition at line 243 of file class2.h.

PDEVICE_OBJECT _DEVICE_EXTENSION::DeviceObject

| Definition at line 126 of file fsvga.h. Referenced by DriverEntry(), and FsVgaWriteToFrameBuffer().

PVOID _DEVICE_EXTENSION::DeviceRegisters[MaximumPortCount]

| Definition at line 132 of file fsvga.h. Referenced by ColorSetDirect(), ColorSetGridMask(), DriverEntry(), GetHardwareScrollReg(), SetGRAMCopyMode(), SetGRAMInvertMode(), and SetGRAMWriteMode().

PDISK_GEOMETRY _DEVICE_EXTENSION::DiskGeometry

| Definition at line 218 of file class2.h.

BOOLEAN _DEVICE_EXTENSION::DMActive

| Definition at line 194 of file class2.h.

ULONG _DEVICE_EXTENSION::DMByteSkew

| Definition at line 182 of file class2.h.

ULONG _DEVICE_EXTENSION::DMSkew

| Definition at line 188 of file class2.h.

PDRIVER_OBJECT _DEVICE_EXTENSION::DriverObject

| Definition at line 70 of file mapper.c.

EMULATE_BUFFER_INFORMATION _DEVICE_EXTENSION::EmulateInfo

| Definition at line 153 of file fsvga.h. Referenced by FsgInvertCursor(), FsgVgaInitializeHWFlags(), FsgWriteToFrameBuffer(), FsgWriteToScreenCommonLVB(), FsVgaSetCursorAttribute(), FsVgaSetCursorPosition(), GetHardwareScrollReg(), IsGRAMRowOver(), NextGRAMRow(), and set_opaque_bkgnd_proc().

ULONG _DEVICE_EXTENSION::ErrorCount

| Definition at line 255 of file class2.h.

FILE_SYSTEM_TYPE _DEVICE_EXTENSION::FileSystemType

| Definition at line 75 of file fs_rec.h. Referenced by FsRecCreateAndRegisterDO(), and FsRecFsControl().

PFIRMWARE_CONFIGURATION _DEVICE_EXTENSION::FirmwareList

| Definition at line 73 of file mapper.c. Referenced by MapperCallback(), MapperConstructRootEnumTree(), MapperFreeList(), and MapperPhantomizeDetectedComPorts().

ULONG _DEVICE_EXTENSION::HardwarePresent

| Definition at line 120 of file fsvga.h. Referenced by DriverEntry(), and FsVgaPeripheralCallout().

INTERFACE_TYPE _DEVICE_EXTENSION::InterfaceType

| Definition at line 71 of file mapper.c.

LONG _DEVICE_EXTENSION::LockCount

| Definition at line 273 of file class2.h.

UCHAR _DEVICE_EXTENSION::Lun

| Definition at line 297 of file class2.h.

ULONG _DEVICE_EXTENSION::MediaChangeCount

| Definition at line 328 of file class2.h.

PKEVENT _DEVICE_EXTENSION::MediaChangeEvent

| Definition at line 319 of file class2.h.

HANDLE _DEVICE_EXTENSION::MediaChangeEventHandle

| Definition at line 320 of file class2.h.

BOOLEAN _DEVICE_EXTENSION::MediaChangeNoMedia

| Definition at line 321 of file class2.h.

LARGE_INTEGER _DEVICE_EXTENSION::PartitionLength

| Definition at line 170 of file class2.h.

UCHAR _DEVICE_EXTENSION::PathId

| Definition at line 285 of file class2.h.

PDEVICE_OBJECT _DEVICE_EXTENSION::PhysicalDevice

| Definition at line 225 of file class2.h.

PIO_SCSI_CAPABILITIES _DEVICE_EXTENSION::PortCapabilities

| Definition at line 212 of file class2.h.

PDEVICE_OBJECT _DEVICE_EXTENSION::PortDeviceObject

| Definition at line 164 of file class2.h.

UCHAR _DEVICE_EXTENSION::PortNumber

| Definition at line 279 of file class2.h.

UCHAR _DEVICE_EXTENSION::ReservedByte

| Definition at line 304 of file class2.h.

FSVIDEO_SCREEN_INFORMATION _DEVICE_EXTENSION::ScreenAndFont

| Definition at line 148 of file fsvga.h. Referenced by FsgCopyFrameBuffer(), FsgInvertCursor(), FsgReverseMousePointer(), FsgVgaInitializeHWFlags(), FsgWriteToFrameBuffer(), FsgWriteToScreen(), FsgWriteToScreenCommonLVB(), FsVgaSetScreenInformation(), and FsVgaWriteToFrameBuffer().

UCHAR _DEVICE_EXTENSION::SectorShift

| Definition at line 303 of file class2.h.

PSENSE_DATA _DEVICE_EXTENSION::SenseData

| Definition at line 231 of file class2.h.

KSPIN_LOCK _DEVICE_EXTENSION::SplitRequestSpinLock

| Definition at line 261 of file class2.h.

ULONG _DEVICE_EXTENSION::SrbFlags

| Definition at line 249 of file class2.h.

NPAGED_LOOKASIDE_LIST _DEVICE_EXTENSION::SrbLookasideListHead

| Definition at line 267 of file class2.h.

PZONE_HEADER _DEVICE_EXTENSION::SrbZone

| Definition at line 173 of file class.h.

PKSPIN_LOCK _DEVICE_EXTENSION::SrbZoneSpinLock

| Definition at line 175 of file class.h.

LARGE_INTEGER _DEVICE_EXTENSION::StartingOffset

| Definition at line 176 of file class2.h.

RECOGNIZER_STATE _DEVICE_EXTENSION::State

| Definition at line 76 of file fs_rec.h. Referenced by FsRecCreateAndRegisterDO(), FsRecFsControl(), and FsRecLoadFileSystem().

UCHAR _DEVICE_EXTENSION::TargetId

| Definition at line 291 of file class2.h.

ULONG _DEVICE_EXTENSION::TimeOutValue

| Definition at line 237 of file class2.h.

BOOLEAN _DEVICE_EXTENSION::UnmapRegistersRequired

| Definition at line 160 of file fsvga.h. Referenced by DriverEntry().

BOOLEAN _DEVICE_EXTENSION::UseScsi1

| Definition at line 223 of file class.h.

BOOLEAN _DEVICE_EXTENSION::WriteCache

| Definition at line 217 of file class.h.

The documentation for this struct was generated from the following files:

- fs_rec.h
- class.h
- class2.h
- mapper.c
- fsvga.h